<style>
  .terms {
  font-family: Verdana,Arial,Helvetica, sans-serif;
  font-size: 9px;
  }
  .login-tbl {
  border: 0px;
  }
  .login-txt {
  font-family: Arial;
  font-size: 14px;
  text-decoration: none;
  }
  .login-input-text {
  width: 140px;
  height:25px;
  border-radius:7px;
  padding-left:5px;			
  font-family: Arial;
  font-size: 14px;
  }
  .login-btn {
  cursor: pointer;
  background: #d97b34;
  background-image: -webkit-linear-gradient(top, #d97b34, #b8632b);
  background-image: -moz-linear-gradient(top, #d97b34, #b8632b);
  background-image: -ms-linear-gradient(top, #d97b34, #b8632b);
  background-image: -o-linear-gradient(top, #d97b34, #b8632b);
  background-image: linear-gradient(to bottom, #d97b34, #b8632b);
  -webkit-border-radius: 7;
  -moz-border-radius: 7;
  border-radius: 7px;
  font-family: Arial;
  color: #ffffff;
  font-size: 13px;
  padding: 4px 10px 4px 10px;
  text-decoration: none;
  }
</style>

<div ng-controller="externalLoginController">
  <div class="centered" style="-webkit-transform: translateZ(0);background:white, z-index:0;">
    <div align="center" id="errorInfo" style="display:none; float:left; font-family: Arial; font-size:12px; margin-left:5px">
      <span style="color:red">Invalid username or password. Please try again.</span>
    </div>
    <br/>
    <div align="center" style="margin-left:auto;margin-right:auto;width:40%;padding:6px;background-color:white">
      <img src="{{ url_for('static', filename='images/onap-portal-logo.png') }}" height="250"/>
      <br>
      <div style="opacity: 0.7;">
	<table class="login-tbl">
	  <tr>
	    <td>	
	      <label class="login-txt">Login ID:</label>
	    </td>
	    <td>
	      <input type="text" class="login-input-text" ng-model="loginId" maxlength="30" />
	    </td>
	  </tr>
	  <tr>
	    <td>
	      <label class="login-txt">Password:</label>
	    </td>
	    <td>
	      <input type="password" class="login-input-text" ng-model="password" maxlength="30" 
		     onkeydown="if (event.keyCode == 13) document.getElementById('loginBtn').click()"/>
	    </td>
	  </tr>
	</table> 
	<br />
	<a class="login-btn" id="loginBtn" ng-click="loginExternal();">LOGIN</a>
      </div>
      <br>
    </div>
  </div>
  <br/><br/><br/><br/><br/><br/><br/>
</div>
<script src="{{ url_for('static', filename='jquery.min.js') }}"></script>
<script>
    loginExternal = function() {
        var postData={loginId: $("[ng-model='loginId']").val(),
                      password: $("[ng-model='password']").val()};
        $.ajax({
            url: "{{ url_for('login') }}",
            type : "POST",
            dataType: 'json',
            contentType: 'application/json',
            data: JSON.stringify(postData),                
            success:function (response){
                if(response.success=="success"){
                    window.location.href= "{{ url_for('home') }}"
                }else{
                    $("#errorInfo span").text(response);
                    $("#errorInfo").show();
                }
            },
            error:function( jqXHR, status,error ){
                $("#errorInfo").show();
            }
        });
    };
    $("#loginBtn").bind('click', loginExternal);
</script>
